Imports System
Imports System.Web.UI
Imports System.Web.UI.WebControls

Imports System.Data
Imports System.Data.SqlClient
Imports System.Configuration
Partial Class VB
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Me.BindGrid()
        End If
    End Sub

    Private Sub BindGrid()
        Dim constr As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Dim query As String = "SELECT Name, Country FROM Customers"
        Using con As SqlConnection = New SqlConnection(constr)
            Using cmd As SqlCommand = New SqlCommand(query, con)
                Using sda As SqlDataAdapter = New SqlDataAdapter(cmd)
                    Using dt As DataTable = New DataTable()
                        sda.Fill(dt)
                        con.Open()
                        gvCustomers.DataSource = dt
                        gvCustomers.DataBind()
                        con.Close()
                    End Using
                End Using
            End Using
        End Using
    End Sub

    Protected Sub Add(ByVal sender As Object, ByVal e As EventArgs)
        Dim control As Control = Nothing

        If gvCustomers.FooterRow IsNot Nothing Then
            control = gvCustomers.FooterRow
        Else
            control = gvCustomers.Controls(0).Controls(0)
        End If

        Dim name As String = (TryCast(control.FindControl("txtName"), TextBox)).Text
        Dim country As String = (TryCast(control.FindControl("txtCountry"), TextBox)).Text
        Dim constr As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Dim query As String = "INSERT INTO Customers VALUES(@Name, @Country)"

        Using con As SqlConnection = New SqlConnection(constr)
            Using cmd As SqlCommand = New SqlCommand(query, con)
                cmd.Parameters.AddWithValue("@Name", name)
                cmd.Parameters.AddWithValue("@Country", country)
                con.Open()
                cmd.ExecuteNonQuery()
                con.Close()
            End Using
        End Using
        Response.Redirect(Request.Url.AbsoluteUri)
    End Sub

End Class